Re: [FUG-BR] Portupgrade + libchk

2013-01-30 Por tôpico Paulo Olivier Cavalcanti
Em 30/01/2013 01:30, Paulo Henrique escreveu:
 Saudações,
 Surgiu uma duvida/curiosidade.

 Há alguma opção no portupgrade ou mesmo no postmaster que se equivale aos
 recursos do libchk que com base na analise, recompila os ports que tem suas
 dependencias quebradas ?
 Na man page do portupgrade não encontrei nada.
 A curiosidade por assim dizer, com colocar tal recurso no portupgrade, ele
 exigiria uma tabela de referencias quanto as bibliotecas de cada port, não
 compreendo muito do funcionamento interno do mesmo.

No portmaster existe o parâmetro -w, que faz um backup da lib antiga
ao instalar a nova. Dessa forma as dependências nunca quebram. Agora,
para verificar e recompilar ports quebrados eu só conheço a dupla
pkg_libchk + portmaster mesmo.

-- 
http://about.me/paulocavalcanti

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade + libchk

2013-01-30 Por tôpico Renato Botelho
2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
 Saudações,
 Surgiu uma duvida/curiosidade.

 Há alguma opção no portupgrade ou mesmo no postmaster que se equivale aos
 recursos do libchk que com base na analise, recompila os ports que tem suas
 dependencias quebradas ?
 Na man page do portupgrade não encontrei nada.
 A curiosidade por assim dizer, com colocar tal recurso no portupgrade, ele
 exigiria uma tabela de referencias quanto as bibliotecas de cada port, não
 compreendo muito do funcionamento interno do mesmo.

Oi Paulo,

Não sei dizer sobre o portupgrade que eu já deixei de usar há
muitos anos, mas o portmaster não tem essa feature não.

Seria muito legal se tivesse em...

[]s
--
Renato Botelho
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade + libchk

2013-01-30 Por tôpico Paulo Henrique
Em 30 de janeiro de 2013 08:04, Renato Botelho rbga...@gmail.com escreveu:

 2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
  Saudações,
  Surgiu uma duvida/curiosidade.
 
  Há alguma opção no portupgrade ou mesmo no postmaster que se equivale aos
  recursos do libchk que com base na analise, recompila os ports que tem
 suas
  dependencias quebradas ?
  Na man page do portupgrade não encontrei nada.
  A curiosidade por assim dizer, com colocar tal recurso no portupgrade,
 ele
  exigiria uma tabela de referencias quanto as bibliotecas de cada port,
 não
  compreendo muito do funcionamento interno do mesmo.

 Oi Paulo,

 Não sei dizer sobre o portupgrade que eu já deixei de usar há
 muitos anos, mas o portmaster não tem essa feature não.

 Seria muito legal se tivesse em...

 []s
 --
 Renato Botelho

 No caso se for direcionar forças de trabalho hoje para adicionar este
recurso o mais utilizado é o portmaster ?
Att.

-- 
:=)(=:

Flamers  /dev/null !!!
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade + libchk

2013-01-30 Por tôpico Renato Botelho
2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
 Em 30 de janeiro de 2013 08:04, Renato Botelho rbga...@gmail.com escreveu:

 2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
  Saudações,
  Surgiu uma duvida/curiosidade.
 
  Há alguma opção no portupgrade ou mesmo no postmaster que se equivale aos
  recursos do libchk que com base na analise, recompila os ports que tem
 suas
  dependencias quebradas ?
  Na man page do portupgrade não encontrei nada.
  A curiosidade por assim dizer, com colocar tal recurso no portupgrade,
 ele
  exigiria uma tabela de referencias quanto as bibliotecas de cada port,
 não
  compreendo muito do funcionamento interno do mesmo.

 Oi Paulo,

 Não sei dizer sobre o portupgrade que eu já deixei de usar há
 muitos anos, mas o portmaster não tem essa feature não.

 Seria muito legal se tivesse em...

 []s
 --
 Renato Botelho

 No caso se for direcionar forças de trabalho hoje para adicionar este
 recurso o mais utilizado é o portmaster ?
 Att.

Se você me fizesse essa pergunta há alguns meses eu responderia que
sim pois o portupgrade estava sem mantenedor e o desenvolvimento dele
não existia mais.

Agora a coisa mudou, o portupgrade voltou a ser desenvolvido.

Então eu diria o seguinte, escolha aquele que você se sente mais
confortável com a linguagem, o portupgrade é escrito em ruby, e o
portmaster é escrito em shell (/bin/sh).

Se você fizer pra um, o mantenedor do outro vai copiar a feature. ;)

[]s
--
Renato Botelho
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade + libchk

2013-01-30 Por tôpico Paulo Henrique
Em 30 de janeiro de 2013 16:31, Renato Botelho rbga...@gmail.com escreveu:

 2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
  Em 30 de janeiro de 2013 08:04, Renato Botelho rbga...@gmail.com
 escreveu:
 
  2013/1/30 Paulo Henrique paulo.rd...@bsd.com.br:
   Saudações,
   Surgiu uma duvida/curiosidade.
  
   Há alguma opção no portupgrade ou mesmo no postmaster que se equivale
 aos
   recursos do libchk que com base na analise, recompila os ports que tem
  suas
   dependencias quebradas ?
   Na man page do portupgrade não encontrei nada.
   A curiosidade por assim dizer, com colocar tal recurso no portupgrade,
  ele
   exigiria uma tabela de referencias quanto as bibliotecas de cada port,
  não
   compreendo muito do funcionamento interno do mesmo.
 
  Oi Paulo,
 
  Não sei dizer sobre o portupgrade que eu já deixei de usar há
  muitos anos, mas o portmaster não tem essa feature não.
 
  Seria muito legal se tivesse em...
 
  []s
  --
  Renato Botelho
 
  No caso se for direcionar forças de trabalho hoje para adicionar este
  recurso o mais utilizado é o portmaster ?
  Att.

 Se você me fizesse essa pergunta há alguns meses eu responderia que
 sim pois o portupgrade estava sem mantenedor e o desenvolvimento dele
 não existia mais.

 Agora a coisa mudou, o portupgrade voltou a ser desenvolvido.

 Então eu diria o seguinte, escolha aquele que você se sente mais
 confortável com a linguagem, o portupgrade é escrito em ruby, e o
 portmaster é escrito em shell (/bin/sh).

 Se você fizer pra um, o mantenedor do outro vai copiar a feature. ;)

 []s
 --
 Renato Botelho


Valeu Renato, não sabia desse fato do portupgrade estar sem mantenedor, no
momento estou vendo com o libchk funciona internamente.

Att.

-- 
:=)(=:

Flamers  /dev/null !!!
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade não funciona.

2009-06-17 Por tôpico Enio Marconcini -:- www.Enio.Pro.Br -:-
tive problemas assim tbm... faça isso antes

# portsnap fetch  portsnap extract

abraços

2009/6/17 Ademir Costa Peixoto ade...@tellecom.com.br:
 Prezados,


    Ao tentar fazer um portupgrade recebi esse erro todos os dias dessa
 semana. Tem algo no Perl5.8 corrompido ou é algo no meu Free 7.2 ?


    Ats,

    Ademir Peixoto








 `Makefile.PL' is up to date.
 `Makefile.PL' is up to date.
 `Makefile.PL' is up to date.
 `Makefile' is up to date.
 touch uni.data
 1 error
 *** Error code 1

 Stop in /usr/ports/lang/perl5.8.
 *** Error code 1

 Stop in /usr/ports/lang/perl5.8.
 ** Command failed [exit code 1]: /usr/bin/script -qa
 /tmp/portupgrade20090617-27861-vo2s9l-0 env UPGRADE_TOOL=portupgrade
 UPGRADE_PORT=perl-5.8.9_2 UPGRADE_PORT_VER=5.8.9_2 make
 ** Fix the problem and try again.
 ---  Skipping 'archivers/p5-Compress-Raw-Zlib' (p5-Compress-Raw-Zlib-2.019)
 because a requisite package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k
 to force)
 ---  Skipping 'security/p5-Digest-MD5' (p5-Digest-MD5-2.38) because a
 requisite package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'converters/p5-MIME-Base64' (p5-MIME-Base64-3.07) because a
 requisite package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'security/p5-Digest' (p5-Digest-1.15_1) because a requisite
 package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'net/p5-URI' (p5-URI-1.37) because a requisite package
 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'devel/p5-Module-Build' (p5-Module-Build-0.32) because a
 requisite package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'security/p5-Digest-SHA1' (p5-Digest-SHA1-2.11) because a
 requisite package 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ---  Skipping 'www/apache22' (apache-2.2.11_4) because a requisite package
 'perl-5.8.9_2' (lang/perl5.8) failed (specify -k to force)
 ** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! lang/perl5.8 (perl-5.8.9_2)   (coredump)
        * archivers/p5-Compress-Raw-Zlib (p5-Compress-Raw-Zlib-2.019)
        * security/p5-Digest-MD5 (p5-Digest-MD5-2.38)
        * converters/p5-MIME-Base64 (p5-MIME-Base64-3.07)
        * security/p5-Digest (p5-Digest-1.15_1)
        * net/p5-URI (p5-URI-1.37)
        * devel/p5-Module-Build (p5-Module-Build-0.32)
        * security/p5-Digest-SHA1 (p5-Digest-SHA1-2.11)
        * www/apache22 (apache-2.2.11_4)

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd




-- 
ENIO RODRIGO MARCONCINI
www.Enio.Pro.Br
skype: eniorm

 Administrador de Redes e Professor Universitário
 Especialista em Redes de Computadores
 Análise de Sistemas e Banco de Dados
 Slackware Linux, OpenBSD e FreeBSD
 Colecionador de Marcas de Cigarros: Trocas, Vendas e Compras
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade não funciona.

2009-06-17 Por tôpico Vinicius Abrahao
Dê uma olhada no /usr/ports/UPDATING

Houveram algumas mudanças no passado:

Aqui estou usando o:
perl-5.8.9_3Practical Extraction and Report Language

Com as seguintes linhas no /etc/make.conf
PERL_VER=5.8.9
PERL_VERSION=5.8.9

20090113:
  AFFECTS: users of lang/perl5.8
  AUTHOR: s...@freebsd.org

  lang/perl5.8 has been updated to 5.8.9. You should update everything
  depending on perl. The easiest way to do that is to use
  *perl-after-upgrade* script supplied with lang/perl5.8. Please see
  its manual page for details.

Vi que o perl 5.10 também já está disponível, alguem aqui tem alguma
nova sobre ele?

Abs,
Vinícius
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade não funciona

2008-05-02 Por tôpico João Paulo Just
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

Kivanio Barbosa wrote:
| Amigo, não saiu a correção ainda, é por isso que ele não atualiza, tenha
| paciência.

Pô! Ele podia pelo menos falar algo como no newer version available
yet, sei lá, dar uma explicação. Fiquei voando :P

- --
João Paulo Just
Diretor Executivo - Justsoft Informática Ltda.
http://www.justsoft.com.br/
- --
Feira de Santana, BA, Brasil.
+55 75 8104 8473
-BEGIN PGP SIGNATURE-
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIGI5bXL+vuN2d7ZwRAg16AJ9hKzWUiwvygO+07enKu9FxV6PdpwCgvDM4
ZTXeeA30a9YfWhS6tkt5EFM=
=6Qtn
-END PGP SIGNATURE-
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade não funciona

2008-04-30 Por tôpico Kivanio Barbosa
Amigo, não saiu a correção ainda, é por isso que ele não atualiza, tenha
paciência.

2008/4/30 João Paulo Just [EMAIL PROTECTED]:

 -BEGIN PGP SIGNED MESSAGE-
 Hash: SHA1

 Olá, lista.

 Estou com FreeBSD 7.0 em uma máquina e o portaudit me mandou um e-mail
 sobre uma vulnerabilidade no php5 que está instalado nela. Então, fui
 atualizar:

 # portsnap fetch
 # portsnap update

 Quando dou o próximo comando:

 # portupgrade php5

 Nada acontece. O shell volta e fica por isso mesmo. Já tentei também:

 # portupgrade php

 E também nada. Alguém tem idéia do que pode ser?

 - --
 João Paulo Just
 Diretor Executivo - Justsoft Informática Ltda.
 http://www.justsoft.com.br/
 - --
 Feira de Santana, BA, Brasil.
 +55 75 8104 8473
 -BEGIN PGP SIGNATURE-
 Version: GnuPG v1.4.6 (GNU/Linux)
 Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

 iD8DBQFIGFzKXL+vuN2d7ZwRAv4oAKCMMmXipdcDvYnBcQSs3fesJK2O+QCgpBQe
 38XGX930ZDbCzkUwI8i4cwE=
 =vbLZ
 -END PGP SIGNATURE-

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd




-- 
Kivanio Pereira Barbosa
Cel 8121-4248

www.eiqconsultoria.com.br
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade

2007-02-16 Por tôpico Danilo Egea
nao, o portupgrade compila sim, as atualizacao do que
vc jah tem instalado pelo ports. o make install clean
apos o comando portupgrade retornaria um erro, pois
nao iria encontrar um Makefile, a nao ser que vc
estivesse dentro de um diretorio fonte de algum
aplicativo.

o  serve para executar um segundo comando, mas soh
se o primeiro for executado com sucesso

--- Hermann T. Ribeiro [EMAIL PROTECTED]
escreveu:

 Caros,
 
 instalei, tempos atrás, o portupgrade. Minha máquina
 é enxuta, sem 
 firulas. Hj, fui brincar de portupgrade novamente
 e por lapso executei 
 o comando :
 
 /usr/local/sbin/portupgrade  make install clean
 
 Acredito q o portupgrade tenho começado a instalar
 uma série de pacotes 
 e a compilá-los sem que eu realmente quisesse isto.
 Foi realmente isto q 
 aconteceu ?
 
 Grato,
 
 H.
 
 -
 Histórico:
 http://www.fug.com.br/historico/html/freebsd/
 Sair da lista:
 https://www.fug.com.br/mailman/listinfo/freebsd
 


Insula T.I
[EMAIL PROTECTED]
www.insula.com.br
Blog- http://daniloegea.wordpress.com

__
Fale com seus amigos  de graça com o novo Yahoo! Messenger 
http://br.messenger.yahoo.com/ 
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade

2007-02-16 Por tôpico Danilo Egea
nao, o portupgrade compila sim, as atualizacao do que
vc jah tem instalado pelo ports. o make install clean
apos o comando portupgrade retornaria um erro, pois
nao iria encontrar um Makefile, a nao ser que vc
estivesse dentro de um diretorio fonte de algum
aplicativo.

o  serve para executar um segundo comando, mas soh
se o primeiro for executado com sucesso

--- Hermann T. Ribeiro [EMAIL PROTECTED]
escreveu:

 Caros,
 
 instalei, tempos atrás, o portupgrade. Minha máquina
 é enxuta, sem 
 firulas. Hj, fui brincar de portupgrade novamente
 e por lapso executei 
 o comando :
 
 /usr/local/sbin/portupgrade  make install clean
 
 Acredito q o portupgrade tenho começado a instalar
 uma série de pacotes 
 e a compilá-los sem que eu realmente quisesse isto.
 Foi realmente isto q 
 aconteceu ?
 
 Grato,
 
 H.
 
 -
 Histórico:
 http://www.fug.com.br/historico/html/freebsd/
 Sair da lista:
 https://www.fug.com.br/mailman/listinfo/freebsd
 


Insula T.I
[EMAIL PROTECTED]
www.insula.com.br
Blog- http://daniloegea.wordpress.com

__
Fale com seus amigos  de graça com o novo Yahoo! Messenger 
http://br.messenger.yahoo.com/ 
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-14 Por tôpico Ricardo Campos Passanezi
On Tue, Feb 13, 2007 at 08:31:29PM -0300, Welkson Renny de Medeiros wrote:
 Estou removendo o /usr/ports e baixando o ports novamente:
 ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz
 
 Vou descompactar, desinstalar portupgrade, ruby e cia... e tentar atualizar 
 pelo novo port... espero que funcione... já tô ficando irado :-)


Não precisa remover o /usr/ports.

Faça o portsnap fetch extract apenas uma vez e, depois, pode rodar
portsnap fetch update.

Leia sempre que possível, antes dos portupgrade, o /usr/ports/UPDATING.
No caso do portupgrade, temos:

20070205:
  AFFECTS: everybody
  AUTHOR: [EMAIL PROTECTED]

  New ports category was created - /usr/ports/ports-mgmt

  Most significant port moved to this new category is portupgrade.
  So don't be alarmed, it was not deleted. You can find it now in

  /usr/ports/ports-mgmt/portupgrade

...

20070102:
  AFFECTS: users of sysutils/portupgrade
  AUTHOR: [EMAIL PROTECTED]

  If you have a problem with upgrading the tools from version 2.2.1 and less,
  remove the package with pkg_delete portupgrade\* command and reinstall it
  from scratch. Remove /usr/ports/INDEX*.db and run portsdb -u.


Aqui eu não rodei o pkg_delete, apenas rodei um make
-DFORCE_PKG_REGISTER reinstall clean e depois um pkgdb -F, removendo
as referências ao port mais antigo sem apagar os arquivos. Isto antes do
port mudar de diretório (foi para ports-mgmt). Essa segunda mudança
resolvi com outro 'pkgdb -F'.

Como você pode estar com alguns work na árvore de ports, sugiro que
rode o comando 'portsclean -C -DD' (veja a manpage para detalhes).

-- 
Ricardo Campos Passanezi
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas) - RESOLVIDO

2007-02-14 Por tôpico Welkson Renny de Medeiros
Oi Ricardo,


Fiz os testes agora, funcionou beleza...

Ontem a noite removi o /usr/ports e deixei baixando o portsnap, depois 
removi o portupgrade e instalei novamente... agora tá funcionando 
perfeitamente.

[EMAIL PROTECTED]:~] # pkg_info | egrep '(portupgrade|ruby)'
portupgrade-2.2.2_4,2 FreeBSD ports/packages administration and management 
tool s
ruby-1.8.5.12,1 An object-oriented interpreted scripting language
ruby18-bdb-0.5.9_2  Ruby interface to Sleepycat's Berkeley DB revision 2 or 
lat

Rodei um portupgrade www/trac e nenhum erro no INDEX.

Obrigado a todos pela atenção.

-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]


- Original Message - 
From: Ricardo Campos Passanezi [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Wednesday, February 14, 2007 8:13 AM
Subject: Re: [FUG-BR] Portupgrade (problemas)


On Tue, Feb 13, 2007 at 08:31:29PM -0300, Welkson Renny de Medeiros wrote:
 Estou removendo o /usr/ports e baixando o ports novamente:
 ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz

 Vou descompactar, desinstalar portupgrade, ruby e cia... e tentar 
 atualizar
 pelo novo port... espero que funcione... já tô ficando irado :-)


Não precisa remover o /usr/ports.

Faça o portsnap fetch extract apenas uma vez e, depois, pode rodar
portsnap fetch update.

Leia sempre que possível, antes dos portupgrade, o /usr/ports/UPDATING.
No caso do portupgrade, temos:

20070205:
  AFFECTS: everybody
  AUTHOR: [EMAIL PROTECTED]

  New ports category was created - /usr/ports/ports-mgmt

  Most significant port moved to this new category is portupgrade.
  So don't be alarmed, it was not deleted. You can find it now in

  /usr/ports/ports-mgmt/portupgrade

...

20070102:
  AFFECTS: users of sysutils/portupgrade
  AUTHOR: [EMAIL PROTECTED]

  If you have a problem with upgrading the tools from version 2.2.1 and 
less,
  remove the package with pkg_delete portupgrade\* command and reinstall it
  from scratch. Remove /usr/ports/INDEX*.db and run portsdb -u.


Aqui eu não rodei o pkg_delete, apenas rodei um make
-DFORCE_PKG_REGISTER reinstall clean e depois um pkgdb -F, removendo
as referências ao port mais antigo sem apagar os arquivos. Isto antes do
port mudar de diretório (foi para ports-mgmt). Essa segunda mudança
resolvi com outro 'pkgdb -F'.

Como você pode estar com alguns work na árvore de ports, sugiro que
rode o comando 'portsclean -C -DD' (veja a manpage para detalhes).

-- 
Ricardo Campos Passanezi
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas) - RESOLVIDO

2007-02-14 Por tôpico Rafael Stockler
Olá a todos,

Estou com o seguinte problema.

fiz o portsnap fetch extract e depois portsnap fetch update.

Deu tudo certo.

Mas quando rodo o portupgrade -R firefox

da esse erro:

missing key: categories: Cannot read the portsdb!
/usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:567:in `open_db':
database file error (PortsDB::DBError)
from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:736:in `port'
from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:924:in
`all_depends_list'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:915:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:907:in `each'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:907:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:929:in `sort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:933:in `sort_build!'
from /usr/local/sbin/portupgrade:694:in `main'
from /usr/local/lib/ruby/1.8/optparse.rb:755:in `initialize'
from /usr/local/sbin/portupgrade:210:in `new'
from /usr/local/sbin/portupgrade:210:in `main'
from /usr/local/sbin/portupgrade:1981

jah rodei o pkgdb -fu e o portsdb -fu sem nenhum erro.

O q estou fazendo de errado?

Abraços,

Rafael.

On 2/14/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 Oi Ricardo,


 Fiz os testes agora, funcionou beleza...

 Ontem a noite removi o /usr/ports e deixei baixando o portsnap, depois
 removi o portupgrade e instalei novamente... agora tá funcionando
 perfeitamente.

 [EMAIL PROTECTED]:~] # pkg_info | egrep '(portupgrade|ruby)'
 portupgrade-2.2.2_4,2 FreeBSD ports/packages administration and management
 tool s
 ruby-1.8.5.12,1 An object-oriented interpreted scripting language
 ruby18-bdb-0.5.9_2  Ruby interface to Sleepycat's Berkeley DB revision 2 or
 lat

 Rodei um portupgrade www/trac e nenhum erro no INDEX.

 Obrigado a todos pela atenção.

 --
 Welkson Renny de Medeiros
 Focus Automação Comercial
 Desenvolvimento / Gerência de Redes
 [EMAIL PROTECTED]


 - Original Message -
 From: Ricardo Campos Passanezi [EMAIL PROTECTED]
 To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
 freebsd@fug.com.br
 Sent: Wednesday, February 14, 2007 8:13 AM
 Subject: Re: [FUG-BR] Portupgrade (problemas)


 On Tue, Feb 13, 2007 at 08:31:29PM -0300, Welkson Renny de Medeiros wrote:
  Estou removendo o /usr/ports e baixando o ports novamente:
  ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz
 
  Vou descompactar, desinstalar portupgrade, ruby e cia... e tentar
  atualizar
  pelo novo port... espero que funcione... já tô ficando irado :-)


 Não precisa remover o /usr/ports.

 Faça o portsnap fetch extract apenas uma vez e, depois, pode rodar
 portsnap fetch update.

 Leia sempre que possível, antes dos portupgrade, o /usr/ports/UPDATING.
 No caso do portupgrade, temos:

 20070205:
   AFFECTS: everybody
   AUTHOR: [EMAIL PROTECTED]

   New ports category was created - /usr/ports/ports-mgmt

   Most significant port moved to this new category is portupgrade.
   So don't be alarmed, it was not deleted. You can find it now in

   /usr/ports/ports-mgmt/portupgrade

 ...

 20070102:
   AFFECTS: users of sysutils/portupgrade
   AUTHOR: [EMAIL PROTECTED]

   If you have a problem with upgrading the tools from version 2.2.1 and
 less,
   remove the package with pkg_delete portupgrade\* command and reinstall it
   from scratch. Remove /usr/ports/INDEX*.db and run portsdb -u.


 Aqui eu não rodei o pkg_delete, apenas rodei um make
 -DFORCE_PKG_REGISTER reinstall clean e depois um pkgdb -F, removendo
 as referências ao port mais antigo sem apagar os arquivos. Isto antes do
 port mudar de diretório (foi para ports-mgmt). Essa segunda mudança
 resolvi com outro 'pkgdb -F'.

 Como você pode estar com alguns work na árvore de ports, sugiro que
 rode o comando 'portsclean -C -DD' (veja a manpage para detalhes).

 --
 Ricardo Campos Passanezi
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas) - RESOLVIDO

2007-02-14 Por tôpico Welkson Renny de Medeiros
Resolvi assim:

1- rm -rf /usr/ports

2- portsnap fetch  portsnap extract  portsnap update

3- Depois veja a versão do portupgrade pkg_info | grep portupgrade, se for 
2.2.2_2,1 (acho que é isso), remova pkg_delete portupgrade-2.2.2_2,1 e 
instale o portupgrade novamente via ports (/usr/ports/ports-mgmt/portupgrade 
make clean  make install)

4- Verifique novamente a versão do portupgrade, a correta é 2.2.2_4,2.

[EMAIL PROTECTED]:/usr/ports/ports-mgmt/portupgrade] # pkg_info | grep 
portupgrade
portupgrade-2.2.2_4,2 FreeBSD ports/packages administration and management 
tool s

Abraço,


-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]


- Original Message - 
From: Rafael Stockler [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Wednesday, February 14, 2007 4:53 PM
Subject: Re: [FUG-BR] Portupgrade (problemas) - RESOLVIDO


Olá a todos,

Estou com o seguinte problema.

fiz o portsnap fetch extract e depois portsnap fetch update.

Deu tudo certo.

Mas quando rodo o portupgrade -R firefox

da esse erro:

missing key: categories: Cannot read the portsdb!
/usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:567:in `open_db':
database file error (PortsDB::DBError)
from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:736:in `port'
from /usr/local/lib/ruby/site_ruby/1.8/portsdb.rb:924:in
`all_depends_list'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:915:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:907:in `each'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:907:in `tsort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:929:in `sort_build'
from /usr/local/lib/ruby/site_ruby/1.8/pkgdb.rb:933:in `sort_build!'
from /usr/local/sbin/portupgrade:694:in `main'
from /usr/local/lib/ruby/1.8/optparse.rb:755:in `initialize'
from /usr/local/sbin/portupgrade:210:in `new'
from /usr/local/sbin/portupgrade:210:in `main'
from /usr/local/sbin/portupgrade:1981

jah rodei o pkgdb -fu e o portsdb -fu sem nenhum erro.

O q estou fazendo de errado?

Abraços,

Rafael.

On 2/14/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 Oi Ricardo,


 Fiz os testes agora, funcionou beleza...

 Ontem a noite removi o /usr/ports e deixei baixando o portsnap, depois
 removi o portupgrade e instalei novamente... agora tá funcionando
 perfeitamente.

 [EMAIL PROTECTED]:~] # pkg_info | egrep '(portupgrade|ruby)'
 portupgrade-2.2.2_4,2 FreeBSD ports/packages administration and management
 tool s
 ruby-1.8.5.12,1 An object-oriented interpreted scripting language
 ruby18-bdb-0.5.9_2  Ruby interface to Sleepycat's Berkeley DB revision 2 
 or
 lat

 Rodei um portupgrade www/trac e nenhum erro no INDEX.

 Obrigado a todos pela atenção.

 --
 Welkson Renny de Medeiros
 Focus Automação Comercial
 Desenvolvimento / Gerência de Redes
 [EMAIL PROTECTED]


 - Original Message -
 From: Ricardo Campos Passanezi [EMAIL PROTECTED]
 To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
 freebsd@fug.com.br
 Sent: Wednesday, February 14, 2007 8:13 AM
 Subject: Re: [FUG-BR] Portupgrade (problemas)


 On Tue, Feb 13, 2007 at 08:31:29PM -0300, Welkson Renny de Medeiros wrote:
  Estou removendo o /usr/ports e baixando o ports novamente:
  ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz
 
  Vou descompactar, desinstalar portupgrade, ruby e cia... e tentar
  atualizar
  pelo novo port... espero que funcione... já tô ficando irado :-)


 Não precisa remover o /usr/ports.

 Faça o portsnap fetch extract apenas uma vez e, depois, pode rodar
 portsnap fetch update.

 Leia sempre que possível, antes dos portupgrade, o /usr/ports/UPDATING.
 No caso do portupgrade, temos:

 20070205:
   AFFECTS: everybody
   AUTHOR: [EMAIL PROTECTED]

   New ports category was created - /usr/ports/ports-mgmt

   Most significant port moved to this new category is portupgrade.
   So don't be alarmed, it was not deleted. You can find it now in

   /usr/ports/ports-mgmt/portupgrade

 ...

 20070102:
   AFFECTS: users of sysutils/portupgrade
   AUTHOR: [EMAIL PROTECTED]

   If you have a problem with upgrading the tools from version 2.2.1 and
 less,
   remove the package with pkg_delete portupgrade\* command and reinstall 
 it
   from scratch. Remove /usr/ports/INDEX*.db and run portsdb -u.


 Aqui eu não rodei o pkg_delete, apenas rodei um make
 -DFORCE_PKG_REGISTER reinstall clean e depois um pkgdb -F, removendo
 as referências ao port mais antigo sem apagar os arquivos. Isto antes do
 port mudar de diretório (foi para ports-mgmt). Essa segunda mudança
 resolvi com outro 'pkgdb -F'.

 Como você pode estar com alguns work na árvore de ports, sugiro que
 rode o comando 'portsclean -C -DD' (veja a manpage para detalhes).

 --
 Ricardo Campos Passanezi
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd

Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:

 Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
 portsdb -fu, tentei novamente o portupgrade e não resolveu... já desinstalei
 portupgrade instalei novamente... e também não funfa...

# pkgdb -fu
# portsdb -fu

não resolveu?

Alex
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Alex Moura [EMAIL PROTECTED] wrote:
 On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:

  Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
  portsdb -fu, tentei novamente o portupgrade e não resolveu... já desinstalei
  portupgrade instalei novamente... e também não funfa...

 # pkgdb -fu
 # portsdb -fu

 não resolveu?

Quais são as versões do portupgrade e seus componentes que estão instalados?
Envie a saída de:
pkg_info | egrep '(portupgrade|ruby)'
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Welkson Renny de Medeiros
Oi Alex,

[EMAIL PROTECTED]:~] # pkg_info | egrep '(portupgrade|ruby)'
portupgrade-2.2.2_1,2 FreeBSD ports/packages administration and management 
tool s
ruby-1.8.5.12,1 An object-oriented interpreted scripting language
ruby18-bdb-0.5.9_2  Ruby interface to Sleepycat's Berkeley DB revision 2 or 
lat

[EMAIL PROTECTED]:~] # uname -a
FreeBSD netserver 6.1-STABLE FreeBSD 6.1-STABLE #3: Fri Aug  4 14:14:38 BRT 
2006 [EMAIL PROTECTED]:/usr/obj/usr/src/sys/BINLADEN  i386

Não sei se foi depois que deinstalei o portupgrade e instalei novamente... 
mas eu tenho a impressão que nos testes anteriores era 2.2.2_2...

Abraço,


-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]

- Original Message - 
From: Alex Moura [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Tuesday, February 13, 2007 6:23 PM
Subject: Re: [FUG-BR] Portupgrade (problemas)


On 2/13/07, Alex Moura [EMAIL PROTECTED] wrote:
 On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] 
 wrote:

  Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
  portsdb -fu, tentei novamente o portupgrade e não resolveu... já 
  desinstalei
  portupgrade instalei novamente... e também não funfa...

 # pkgdb -fu
 # portsdb -fu

 não resolveu?

Quais são as versões do portupgrade e seus componentes que estão instalados?
Envie a saída de:
pkg_info | egrep '(portupgrade|ruby)'
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Welkson Renny de Medeiros
O portsdb -fu não resolveu... o pkgdb -fu acho que não rodei...

Estou atualizando o ports agora via cvsup, quando finalizar rodo esses dois 
comandos, e tento atualizar o portupgrade e ruby para a mais nova versão... 
quando finalizar tudo posto o resultado.


-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]

- Original Message - 
From: Alex Moura [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Tuesday, February 13, 2007 6:17 PM
Subject: Re: [FUG-BR] Portupgrade (problemas)


On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:

 Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
 portsdb -fu, tentei novamente o portupgrade e não resolveu... já 
 desinstalei
 portupgrade instalei novamente... e também não funfa...

# pkgdb -fu
# portsdb -fu

não resolveu?

Alex
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alessandro de Souza Rocha
Em 13/02/07, Welkson Renny de Medeiros[EMAIL PROTECTED] escreveu:
 O portsdb -fu não resolveu... o pkgdb -fu acho que não rodei...

 Estou atualizando o ports agora via cvsup, quando finalizar rodo esses dois
 comandos, e tento atualizar o portupgrade e ruby para a mais nova versão...
 quando finalizar tudo posto o resultado.


 --
 Welkson Renny de Medeiros
 Focus Automação Comercial
 Desenvolvimento / Gerência de Redes
 [EMAIL PROTECTED]

 - Original Message -
 From: Alex Moura [EMAIL PROTECTED]
 To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
 freebsd@fug.com.br
 Sent: Tuesday, February 13, 2007 6:17 PM
 Subject: Re: [FUG-BR] Portupgrade (problemas)


 On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:

  Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
  portsdb -fu, tentei novamente o portupgrade e não resolveu... já
  desinstalei
  portupgrade instalei novamente... e também não funfa...

 # pkgdb -fu
 # portsdb -fu

 não resolveu?

 Alex
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd



porque vc nao usa o portsnap para atualizar seu ports.
-- 
Alessandro de Souza Rocha
Administrador de Redes e Sistemas
Freebsd-BR User #117
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 O portsdb -fu não resolveu... o pkgdb -fu acho que não rodei...

 Estou atualizando o ports agora via cvsup, quando finalizar rodo esses dois
 comandos, e tento atualizar o portupgrade e ruby para a mais nova versão...
 quando finalizar tudo posto o resultado.

Aqui tenho um host funcionando com:

$ uname -i -m -p -r -s   pkg_info | egrep '(portupgrade|ruby)'

FreeBSD 6.2-RELEASE i386 i386 GENERIC

portupgrade-2.2.2_4,2 FreeBSD ports/packages administration and
management tool s
ruby-1.8.5.12,1 An object-oriented interpreted scripting language
ruby18-bdb-0.5.9_2  Ruby interface to Sleepycat's Berkeley DB revision 2 or lat
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Welkson Renny de Medeiros
Boa idéia Alessandro... atualizei via cvsup e no diretório 
/usr/ports/sysutils/portupgrade não tem mais nada... :-) só um subdiretório 
chamado work com outro subdiretório chamado pkgtools... endoidou geral... 
não tô entendendo PN...

Como você faz para atualizar via portsnap?

Abraço,


-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]



- Original Message - 
From: Alessandro de Souza Rocha [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Tuesday, February 13, 2007 7:04 PM
Subject: Re: [FUG-BR] Portupgrade (problemas)


Em 13/02/07, Welkson Renny de Medeiros[EMAIL PROTECTED] 
escreveu:
 O portsdb -fu não resolveu... o pkgdb -fu acho que não rodei...

 Estou atualizando o ports agora via cvsup, quando finalizar rodo esses 
 dois
 comandos, e tento atualizar o portupgrade e ruby para a mais nova 
 versão...
 quando finalizar tudo posto o resultado.


 --
 Welkson Renny de Medeiros
 Focus Automação Comercial
 Desenvolvimento / Gerência de Redes
 [EMAIL PROTECTED]

 - Original Message -
 From: Alex Moura [EMAIL PROTECTED]
 To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
 freebsd@fug.com.br
 Sent: Tuesday, February 13, 2007 6:17 PM
 Subject: Re: [FUG-BR] Portupgrade (problemas)


 On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] 
 wrote:

  Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
  portsdb -fu, tentei novamente o portupgrade e não resolveu... já
  desinstalei
  portupgrade instalei novamente... e também não funfa...

 # pkgdb -fu
 # portsdb -fu

 não resolveu?

 Alex
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd



porque vc nao usa o portsnap para atualizar seu ports.
-- 
Alessandro de Souza Rocha
Administrador de Redes e Sistemas
Freebsd-BR User #117
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alessandro de Souza Rocha
Em 13/02/07, Welkson Renny de Medeiros[EMAIL PROTECTED] escreveu:
 Boa idéia Alessandro... atualizei via cvsup e no diretório
 /usr/ports/sysutils/portupgrade não tem mais nada... :-) só um subdiretório
 chamado work com outro subdiretório chamado pkgtools... endoidou geral...
 não tô entendendo PN...

 Como você faz para atualizar via portsnap?

 Abraço,


 --
 Welkson Renny de Medeiros
 Focus Automação Comercial
 Desenvolvimento / Gerência de Redes
 [EMAIL PROTECTED]



 - Original Message -
 From: Alessandro de Souza Rocha [EMAIL PROTECTED]
 To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
 freebsd@fug.com.br
 Sent: Tuesday, February 13, 2007 7:04 PM
 Subject: Re: [FUG-BR] Portupgrade (problemas)


 Em 13/02/07, Welkson Renny de Medeiros[EMAIL PROTECTED]
 escreveu:
  O portsdb -fu não resolveu... o pkgdb -fu acho que não rodei...
 
  Estou atualizando o ports agora via cvsup, quando finalizar rodo esses
  dois
  comandos, e tento atualizar o portupgrade e ruby para a mais nova
  versão...
  quando finalizar tudo posto o resultado.
 
 
  --
  Welkson Renny de Medeiros
  Focus Automação Comercial
  Desenvolvimento / Gerência de Redes
  [EMAIL PROTECTED]
 
  - Original Message -
  From: Alex Moura [EMAIL PROTECTED]
  To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR)
  freebsd@fug.com.br
  Sent: Tuesday, February 13, 2007 6:17 PM
  Subject: Re: [FUG-BR] Portupgrade (problemas)
 
 
  On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED]
  wrote:
 
   Em um momento de loucura apaguei os /usr/ports/INDEX*, depois rodei
   portsdb -fu, tentei novamente o portupgrade e não resolveu... já
   desinstalei
   portupgrade instalei novamente... e também não funfa...
 
  # pkgdb -fu
  # portsdb -fu
 
  não resolveu?
 
  Alex
  -
  Histórico: http://www.fug.com.br/historico/html/freebsd/
  Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd
 
  -
  Histórico: http://www.fug.com.br/historico/html/freebsd/
  Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd
 


 porque vc nao usa o portsnap para atualizar seu ports.
 --
 Alessandro de Souza Rocha
 Administrador de Redes e Sistemas
 Freebsd-BR User #117
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


 portsnap fetch  portsnap extract   portsnap update.

-- 
Alessandro de Souza Rocha
Administrador de Redes e Sistemas
Freebsd-BR User #117
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Alessandro de Souza Rocha [EMAIL PROTECTED] wrote:

  portsnap fetch  portsnap extract   portsnap update.

Observe que cvsup e portsnap são incompatíveis. Não use um e o outro
alternadamente.
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Welkson Renny de Medeiros
Já era... rodei cvsup agora pouco... e neste momento estou esperando 
terminar o extract do portsnap... ;-)

O que devo fazer? remover /usr/ports/ e rodar o portsnap novamente?


-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]

- Original Message - 
From: Alex Moura [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Tuesday, February 13, 2007 7:47 PM
Subject: Re: [FUG-BR] Portupgrade (problemas)


On 2/13/07, Alessandro de Souza Rocha [EMAIL PROTECTED] wrote:

  portsnap fetch  portsnap extract   portsnap update.

Observe que cvsup e portsnap são incompatíveis. Não use um e o outro
alternadamente.
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 Já era... rodei cvsup agora pouco... e neste momento estou esperando
 terminar o extract do portsnap... ;-)

 O que devo fazer? remover /usr/ports/ e rodar o portsnap novamente?

Quando descobri/entendi este importante detalhe, foi exatamente
isto que fiz pra resolver os ports que não estavam mais funcionando.

Mas se a gora já foi, deixa rolar e veja se funciona pra você. Pode
ser que tenha
mais sorte que eu. :-)
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Welkson Renny de Medeiros
Estou removendo o /usr/ports e baixando o ports novamente:
ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz

Vou descompactar, desinstalar portupgrade, ruby e cia... e tentar atualizar 
pelo novo port... espero que funcione... já tô ficando irado :-)

-- 
Welkson Renny de Medeiros
Focus Automação Comercial
Desenvolvimento / Gerência de Redes
[EMAIL PROTECTED]


- Original Message - 
From: Alex Moura [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
freebsd@fug.com.br
Sent: Tuesday, February 13, 2007 8:23 PM
Subject: Re: [FUG-BR] Portupgrade (problemas)


On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 Já era... rodei cvsup agora pouco... e neste momento estou esperando
 terminar o extract do portsnap... ;-)

 O que devo fazer? remover /usr/ports/ e rodar o portsnap novamente?

Quando descobri/entendi este importante detalhe, foi exatamente
isto que fiz pra resolver os ports que não estavam mais funcionando.

Mas se a gora já foi, deixa rolar e veja se funciona pra você. Pode
ser que tenha
mais sorte que eu. :-)
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade (problemas)

2007-02-13 Por tôpico Alex Moura
On 2/13/07, Welkson Renny de Medeiros [EMAIL PROTECTED] wrote:
 Estou removendo o /usr/ports e baixando o ports novamente:
 ftp://ftp.freebsd.org/pub/FreeBSD/ports/ports/ports.tar.gz


O portsnap faz isso pra vc. Basta um:

mv /usr/ports /usr/ports.bak
portsnap fetch  portsnap extract

e quando quiser atualizar, basta um
portsnap update

E pode colocar no cron pra fazer automaticamente:
@daily portsnap cron
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade pendurou

2006-12-08 Por tôpico m0f0x
sysutils/portdowngrade

On Fri, 8 Dec 2006 12:44:08 -0200
Henry Lenzi [EMAIL PROTECTED] wrote:

 Olá *
 
  Fiz um portupgrade segundo UPDATING para Gnome e ele pendurou.
  Como é que faço ele parar?
  Ele vai fazer um rollback gracisosamente (como se diz), ou ele
 vai quebrar tudo.
  E depois que eu parar o processo, o que fazer em termos de limpeza e
 manutenção?
 
  Grato,
 
  Henry, com medão danado.
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade pendurou

2006-12-08 Por tôpico Henry Lenzi
ps ax não de dá o processo do portupgrade. Ele estava baixando (fetch)
algo no meio de um build.

Pq não vejo o processo?

Obrigado,
Henry
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade.

2006-10-13 Por tôpico Giancarlo Rubio
On Fri, 2006-10-13 at 08:09 -0300, Junior Pires wrote:
 Olá caros colegas.
 
 Estou tendo uma certa dificuldade com o portupgrade
 
 Eu atualizei o Mailscanner pelo portuopgrade, e tinha mais um monte de
 coisas pra atualizar, só que depois que eu atualizei o Mailscanner, quando
 eu dou um portvertsion, ele me retorna isso:
 
 mail# portversion -l 
 Stale dependency: MailScanner-4.55.10 -- curl-7.15.5 -- manually run
 'pkgdb -F' to fix, or specify -O to force.
 
Junior sempre que usar o portupgrade use a opção -r (recursivo) pois se
vc atualiza um pacoote tipo o mailscanner, ele poderá necessitar de um
acote atualizado no caso curl-7...

 Ai, se eu dou um pkgdb -F, ele me retorna isso:
 
O pkgdb é a forma de vc reconstruir  sua base de pacotes, com as
dependencias corretas.
 mail# pkgdb -F
 ---  Checking the package registry database
 Stale origin: 'emulators/linux_base-8': perhaps moved or obsoleted.
 - The port 'emulators/linux_base-8' was removed on 2006-10-02 because:
 Has expired: unsupported by upstream, no security support anymore
 - Hint: linux_base-8-8.0_6 is not required by any other package
 - Hint: checking for overwritten files...
  - No files installed by linux_base-8-8.0_6 have been overwritten by
 other packages.
 Deinstall linux_base-8-8.0_6 ? [no]
Esse primeiro se refere ao linux_base que foi removido do ports, se vc
quisesse desinstalar colocasse yes.
 Stale dependency: MailScanner-4.55.10 - curl-7.15.5 (ftp/curl):
 New dependency? (? to help):
 Skip this? ([y]es/[n]o/[a]ll) [yes]
 Skipped.
 
Agora fica a dependencia do mailscanner com o curl. Digitando ?' ele
mostra as opções que vc pode  utilizar.. Vc pode remover as dependencias
apertando Ctrl+d ou fixar(instalar) as dependecias, nao me lembro  o
comando de cabeça mais  com a opção o ? mostrará as possibilidades
 Alguém ai já passou por esse problema, ou alguém sabe como resolve-lo pra
 me ajudar?
 
 Grato,
 
 
 
 
 -- 
 Junior Pires
 Assistente de Informáica
 CPD
 Gujão Alimentos.
 Tel: (75) 3244-2121 (Ramal 202).
 
 
 
-- 
Linux is for people who hate Windows,
BSD is for people who love UNIX
Freebsd-BR User #88
---
Giancarlo Rubio

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] Portupgrade.

2006-10-13 Por tôpico Junior Pires
Muito obrigado pela atenção, o problema já foi solucionado =)


 On Fri, 2006-10-13 at 08:09 -0300, Junior Pires wrote:
 Olá caros colegas.

 Estou tendo uma certa dificuldade com o portupgrade

 Eu atualizei o Mailscanner pelo portuopgrade, e tinha mais um monte de
 coisas pra atualizar, só que depois que eu atualizei o Mailscanner,
 quando
 eu dou um portvertsion, ele me retorna isso:

 mail# portversion -l 
 Stale dependency: MailScanner-4.55.10 -- curl-7.15.5 -- manually run
 'pkgdb -F' to fix, or specify -O to force.

 Junior sempre que usar o portupgrade use a opção -r (recursivo) pois se
 vc atualiza um pacoote tipo o mailscanner, ele poderá necessitar de um
 acote atualizado no caso curl-7...

 Ai, se eu dou um pkgdb -F, ele me retorna isso:

 O pkgdb é a forma de vc reconstruir  sua base de pacotes, com as
 dependencias corretas.
 mail# pkgdb -F
 ---  Checking the package registry database
 Stale origin: 'emulators/linux_base-8': perhaps moved or obsoleted.
 - The port 'emulators/linux_base-8' was removed on 2006-10-02 because:
 Has expired: unsupported by upstream, no security support
 anymore
 - Hint: linux_base-8-8.0_6 is not required by any other package
 - Hint: checking for overwritten files...
  - No files installed by linux_base-8-8.0_6 have been overwritten by
 other packages.
 Deinstall linux_base-8-8.0_6 ? [no]
 Esse primeiro se refere ao linux_base que foi removido do ports, se vc
 quisesse desinstalar colocasse yes.
 Stale dependency: MailScanner-4.55.10 - curl-7.15.5 (ftp/curl):
 New dependency? (? to help):
 Skip this? ([y]es/[n]o/[a]ll) [yes]
 Skipped.

 Agora fica a dependencia do mailscanner com o curl. Digitando ?' ele
 mostra as opções que vc pode  utilizar.. Vc pode remover as dependencias
 apertando Ctrl+d ou fixar(instalar) as dependecias, nao me lembro  o
 comando de cabeça mais  com a opção o ? mostrará as possibilidades
 Alguém ai já passou por esse problema, ou alguém sabe como resolve-lo
 pra
 me ajudar?

 Grato,




 --
 Junior Pires
 Assistente de Informáica
 CPD
 Gujão Alimentos.
 Tel: (75) 3244-2121 (Ramal 202).



 --
 Linux is for people who hate Windows,
 BSD is for people who love UNIX
 Freebsd-BR User #88
 ---
 Giancarlo Rubio

 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

 --
 Esta mensagem foi verificada pelo sistema de antivírus e
  acredita-se estar livre de perigo.





-- 
Junior Pires
Assistente de Informáica
CPD
Gujão Alimentos.
Tel: (75) 3244-2121 (Ramal 202).


-- 
Esta mensagem foi verificada pelo sistema de antivírus e
 acredita-se estar livre de perigo.

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-17 Por tôpico Renato Botelho
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

Ari Arantes wrote:
 Renato, PERFEITO! Já tinha digitado o e-mail para informar que havia
 atualizado o perl, apenas para esclarecer... E vi sua mensagem!!!
 
 Não tinha visto sobre o perl-after-upgrade -f, onde tem info sobre isso?

/usr/ports/UPDATING, nunca deixe de dar uma lida nesse cara... ;-)

20060220:
  AFFECTS: users of lang/perl5.8
  AUTHOR: [EMAIL PROTECTED]

  lang/perl5.8 has been updated to 5.8.8.  You should update everything
  depending on perl.  The easiest way to do that is to use
  perl-after-upgrade script supplied with lang/perl5.8.  Please see
  its manual page for details.


-BEGIN PGP SIGNATURE-
Version: GnuPG v1.4.3 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFElJfA6CRbiSJE7akRAuiqAJ9/tF8NUNh1+Q2EEaYpx/kjqHXYIQCdHCvj
5Uc3FjPnmcsa4561EyIk+lM=
=BV9e
-END PGP SIGNATURE-
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-16 Por tôpico Ari Arantes
Renato, PERFEITO! Já tinha digitado o e-mail para informar

Em 15/06/06, Renato Botelho[EMAIL PROTECTED] escreveu:
 -BEGIN PGP SIGNED MESSAGE-
 Hash: SHA1

 Ari Arantes wrote:
  Pessoal,
 
  Estou tentando atualizar o help2man e tenho o seguinte erro:
 
  Detalhe: o ports está atualizado.
 
  # pkg_version -L= -v
  help2man-1.36.3needs updating (port has 1.36.4_1)
  p5-PathTools-3.16  needs updating (port has 3.18)
 
  # portupgrade help2man
 
  rm -f blib/arch/auto/Locale/gettext/gettext.so
  LD_RUN_PATH=/usr/local/lib cc  -shared  -L/usr/local/lib gettext.o
  -o blib/arch/auto/Locale/gettext/gettext.so -L/usr/local/lib
  -lintl
  chmod 755 blib/arch/auto/Locale/gettext/gettext.so
  cp gettext.bs blib/arch/auto/Locale/gettext/gettext.bs
  chmod 644 blib/arch/auto/Locale/gettext/gettext.bs
  Manifying blib/man3/Locale::gettext.3
  ===  Installing for p5-gettext-1.05_1
  ===   p5-gettext-1.05_1 depends on file: /usr/local/bin/perl5.8.8 - found
  ===   Generating temporary packing list
  ===  Checking if devel/p5-Locale-gettext already installed
  ===   p5-gettext-1.05_1 is already installed
You may wish to ``make deinstall'' and install this port again
by ``make reinstall'' to upgrade it properly.
If you really wish to overwrite the old port of 
  devel/p5-Locale-gettext
without deleting it first, set the variable FORCE_PKG_REGISTER
in your environment or the make install command line.
  *** Error code 1
 
  Stop in /usr/ports/devel/p5-Locale-gettext.
  *** Error code 1
 
  Stop in /usr/ports/misc/help2man.
  ** Command failed [exit code 1]: /usr/bin/script -qa
  /tmp/portupgrade3818.0 make PORT_UPGRADE=yes
  ** Fix the problem and try again.
  ---  Upgrade tasks: 1
  ---  Summary: 0 done, 0 ignored, 0 skipped and 1 failed
  ** Listing the failed packages (*:skipped / !:failed)
  ! misc/help2man (help2man-1.36.3)   (unknown build error)
  ---  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
 
 
  De fato está instalado:
 
  # pkg_info | grep gettext
  gettext-0.14.5_2GNU gettext package
  p5-gettext-1.05_1   Message handling functions
 
 
  Se está mesmo instalado, por que o erro? Por que ele não usa o que já
  está instalado?

 Não dá pra garantir sem ver a mensagem inteira, mas o que parece estar
 acontecendo é que o port do help2man está com um problema e não está
 conseguindo enxergar que o p5-gettext já está instalado.

 O ports utiliza arquivos instalados pelos ports pra fazer essa checagem,
 imagina isso, o p5-gettext instala um arquivo chamado gettext.pm dentro
 do perl, aí o help2man tenta localizar getttext.pm por exemplo, ele não
 acha e não encontra o port, então tenta instalar novamente, o que não é
 possível.

 Uma pergunta que poderia matar a charada é, você atualizou o perl
 recentemente, uma atualização de versão do perl mesmo, tipo, de 5.8.7
 pra 5.8.8? Se você fez isso e não rodou o perl-after-upgrade -f depois,
 as libs do perl estão instaladas dentro do diretório do 5.8.7 e o port
 procura atualmente no 5.8.8.

 []s
 -BEGIN PGP SIGNATURE-
 Version: GnuPG v1.4.3 (FreeBSD)
 Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

 iD8DBQFEkdBg6CRbiSJE7akRAszTAJ9tEBDWLjTVG5OA9nY+OA/QckW8bQCfbbhb
 R2ZeqzHXLrejFMUoO0EHv4o=
 =CWDw
 -END PGP SIGNATURE-
 -
 Histórico: http://www.fug.com.br/historico/html/freebsd/
 Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-16 Por tôpico Ari Arantes
Renato, PERFEITO! Já tinha digitado o e-mail para informar que havia
atualizado o perl, apenas para esclarecer... E vi sua mensagem!!!

Não tinha visto sobre o perl-after-upgrade -f, onde tem info sobre isso?

Obrigado,

Ari


 
  Uma pergunta que poderia matar a charada é, você atualizou o perl
  recentemente, uma atualização de versão do perl mesmo, tipo, de 5.8.7
  pra 5.8.8? Se você fez isso e não rodou o perl-after-upgrade -f depois,
  as libs do perl estão instaladas dentro do diretório do 5.8.7 e o port
  procura atualmente no 5.8.8.
 
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-15 Por tôpico Ari Arantes
O problema é que ele reclama do p5-Locale-gettext e está atualizado na
última versão... Isso que não entendo!

# pkg_info | grep gettext
gettext-0.14.5_2GNU gettext package
p5-gettext-1.05_1   Message handling functions



2006/6/15, WV - FestaTNT.com [EMAIL PROTECTED]:
 Tenta atualizar direto via ports mais força a instalação:

 cd  /usr/ports/misc/help2man
 make install FORCE_PKG_REGISTER=yes

 Até mais

 Rato

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-15 Por tôpico Ari Arantes
Apesar de não entender o motivo, resolvi:

export FORCE_PKG_REGISTER=YES
portupgrade -a


2006/6/15, Ari Arantes [EMAIL PROTECTED]:
 O problema é que ele reclama do p5-Locale-gettext e está atualizado na
 última versão... Isso que não entendo!

 # pkg_info | grep gettext
 gettext-0.14.5_2GNU gettext package
 p5-gettext-1.05_1   Message handling functions



 2006/6/15, WV - FestaTNT.com [EMAIL PROTECTED]:
  Tenta atualizar direto via ports mais força a instalação:
 
  cd  /usr/ports/misc/help2man
  make install FORCE_PKG_REGISTER=yes
 
  Até mais
 
  Rato
 

-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-15 Por tôpico Renato Botelho
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

Ari Arantes wrote:
 Pessoal,
 
 Estou tentando atualizar o help2man e tenho o seguinte erro:
 
 Detalhe: o ports está atualizado.
 
 # pkg_version -L= -v
 help2man-1.36.3needs updating (port has 1.36.4_1)
 p5-PathTools-3.16  needs updating (port has 3.18)
 
 # portupgrade help2man
 
 rm -f blib/arch/auto/Locale/gettext/gettext.so
 LD_RUN_PATH=/usr/local/lib cc  -shared  -L/usr/local/lib gettext.o
 -o blib/arch/auto/Locale/gettext/gettext.so -L/usr/local/lib
 -lintl
 chmod 755 blib/arch/auto/Locale/gettext/gettext.so
 cp gettext.bs blib/arch/auto/Locale/gettext/gettext.bs
 chmod 644 blib/arch/auto/Locale/gettext/gettext.bs
 Manifying blib/man3/Locale::gettext.3
 ===  Installing for p5-gettext-1.05_1
 ===   p5-gettext-1.05_1 depends on file: /usr/local/bin/perl5.8.8 - found
 ===   Generating temporary packing list
 ===  Checking if devel/p5-Locale-gettext already installed
 ===   p5-gettext-1.05_1 is already installed
   You may wish to ``make deinstall'' and install this port again
   by ``make reinstall'' to upgrade it properly.
   If you really wish to overwrite the old port of devel/p5-Locale-gettext
   without deleting it first, set the variable FORCE_PKG_REGISTER
   in your environment or the make install command line.
 *** Error code 1
 
 Stop in /usr/ports/devel/p5-Locale-gettext.
 *** Error code 1
 
 Stop in /usr/ports/misc/help2man.
 ** Command failed [exit code 1]: /usr/bin/script -qa
 /tmp/portupgrade3818.0 make PORT_UPGRADE=yes
 ** Fix the problem and try again.
 ---  Upgrade tasks: 1
 ---  Summary: 0 done, 0 ignored, 0 skipped and 1 failed
 ** Listing the failed packages (*:skipped / !:failed)
 ! misc/help2man (help2man-1.36.3)   (unknown build error)
 ---  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
 
 
 De fato está instalado:
 
 # pkg_info | grep gettext
 gettext-0.14.5_2GNU gettext package
 p5-gettext-1.05_1   Message handling functions
 
 
 Se está mesmo instalado, por que o erro? Por que ele não usa o que já
 está instalado?

Não dá pra garantir sem ver a mensagem inteira, mas o que parece estar
acontecendo é que o port do help2man está com um problema e não está
conseguindo enxergar que o p5-gettext já está instalado.

O ports utiliza arquivos instalados pelos ports pra fazer essa checagem,
imagina isso, o p5-gettext instala um arquivo chamado gettext.pm dentro
do perl, aí o help2man tenta localizar getttext.pm por exemplo, ele não
acha e não encontra o port, então tenta instalar novamente, o que não é
possível.

Uma pergunta que poderia matar a charada é, você atualizou o perl
recentemente, uma atualização de versão do perl mesmo, tipo, de 5.8.7
pra 5.8.8? Se você fez isso e não rodou o perl-after-upgrade -f depois,
as libs do perl estão instaladas dentro do diretório do 5.8.7 e o port
procura atualmente no 5.8.8.

[]s
-BEGIN PGP SIGNATURE-
Version: GnuPG v1.4.3 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEkdBg6CRbiSJE7akRAszTAJ9tEBDWLjTVG5OA9nY+OA/QckW8bQCfbbhb
R2ZeqzHXLrejFMUoO0EHv4o=
=CWDw
-END PGP SIGNATURE-
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade

2006-06-14 Por tôpico WV - FestaTNT.com
Tenta atualizar direto via ports mais força a instalação:

cd  /usr/ports/misc/help2man
make install FORCE_PKG_REGISTER=yes

Até mais

Rato

- Original Message - 
From: Ari Arantes [EMAIL PROTECTED]
To: Lista Brasileira de Discussão sobre FreeBSD (FUG-BR) 
Freebsd@fug.com.br
Sent: Wednesday, June 14, 2006 11:29 PM
Subject: [FUG-BR] portupgrade


Pessoal,

Estou tentando atualizar o help2man e tenho o seguinte erro:

Detalhe: o ports está atualizado.

# pkg_version -L= -v
help2man-1.36.3needs updating (port has 1.36.4_1)
p5-PathTools-3.16  needs updating (port has 3.18)

# portupgrade help2man

rm -f blib/arch/auto/Locale/gettext/gettext.so
LD_RUN_PATH=/usr/local/lib cc  -shared  -L/usr/local/lib gettext.o
-o blib/arch/auto/Locale/gettext/gettext.so -L/usr/local/lib
-lintl
chmod 755 blib/arch/auto/Locale/gettext/gettext.so
cp gettext.bs blib/arch/auto/Locale/gettext/gettext.bs
chmod 644 blib/arch/auto/Locale/gettext/gettext.bs
Manifying blib/man3/Locale::gettext.3
===  Installing for p5-gettext-1.05_1
===   p5-gettext-1.05_1 depends on file: /usr/local/bin/perl5.8.8 - found
===   Generating temporary packing list
===  Checking if devel/p5-Locale-gettext already installed
===   p5-gettext-1.05_1 is already installed
  You may wish to ``make deinstall'' and install this port again
  by ``make reinstall'' to upgrade it properly.
  If you really wish to overwrite the old port of 
devel/p5-Locale-gettext
  without deleting it first, set the variable FORCE_PKG_REGISTER
  in your environment or the make install command line.
*** Error code 1

Stop in /usr/ports/devel/p5-Locale-gettext.
*** Error code 1

Stop in /usr/ports/misc/help2man.
** Command failed [exit code 1]: /usr/bin/script -qa
/tmp/portupgrade3818.0 make PORT_UPGRADE=yes
** Fix the problem and try again.
---  Upgrade tasks: 1
---  Summary: 0 done, 0 ignored, 0 skipped and 1 failed
** Listing the failed packages (*:skipped / !:failed)
! misc/help2man (help2man-1.36.3)   (unknown build error)
---  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed


De fato está instalado:

# pkg_info | grep gettext
gettext-0.14.5_2GNU gettext package
p5-gettext-1.05_1   Message handling functions


Se está mesmo instalado, por que o erro? Por que ele não usa o que já
está instalado?

Obrigado,

Ari
-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd




-
Histórico: http://www.fug.com.br/historico/html/freebsd/
Sair da lista: https://www.fug.com.br/mailman/listinfo/freebsd


Re: [FUG-BR] portupgrade - fazer downgrade

2006-03-15 Por tôpico Renato Botelho
On 3/15/06, Celso Viana [EMAIL PROTECTED] wrote:
 All,

 É possível fazer downgrade com o portupgrade? (mysql 5.0 para mysql 4.1)

Nesse caso, como são dois ports separados, é possível sim, usando a opção -o

portupgrade -f -o databases/mysql41-server mysql-server

Agora se vc quisesse fazer downgrade de um port pra uma versão antiga
dele mesmo, tem que usar o portdowngrade:

/usr/ports/sysutils/portdowngrade

[]s
--
Renato Botelho
___
freebsd mailing list
freebsd@fug.com.br
http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br


Re: [FUG-BR] portupgrade - fazer downgrade

2006-03-15 Por tôpico Celso Viana
Renato,

Funcionou 100%. Tinha tentado sem a opção -f e estava falhando. Já fiz
completei o downgrade.

Thank's

Celso

Em 15/03/06, Renato Botelho[EMAIL PROTECTED] escreveu:
 On 3/15/06, Celso Viana [EMAIL PROTECTED] wrote:
  All,
 
  É possível fazer downgrade com o portupgrade? (mysql 5.0 para mysql 4.1)

 Nesse caso, como são dois ports separados, é possível sim, usando a opção -o

 portupgrade -f -o databases/mysql41-server mysql-server

 Agora se vc quisesse fazer downgrade de um port pra uma versão antiga
 dele mesmo, tem que usar o portdowngrade:

 /usr/ports/sysutils/portdowngrade

 []s
 --
 Renato Botelho
 ___
 freebsd mailing list
 freebsd@fug.com.br
 http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br



--
Celso Vianna
BSD User: 51318
http://www.bsdcounter.org

Palmas/TO
___
freebsd mailing list
freebsd@fug.com.br
http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br


Re: [FUG-BR] Portupgrade - Mysql

2006-03-11 Por tôpico Celso Viana
Alex,

Valwes pela dica; um único detalhe: tentei atuaizar o server e foi
gerado um erro; primeiro tive que atualizar o client e depois o
server ficou show

Celso

Em 10/03/06, Alex Moura[EMAIL PROTECTED] escreveu:
 Celso Viana wrote:
  All,
 
  Para atualizar meu MySQL de 4.1 para 5.0, tenho que desisntalar ou é
  possível fazer uma atualização com portupgrade?
 
 É possível com portupgrade:

 portupgrade -o databases/mysql50-server databases/mysql41-server

 ou

 portupgrade -o databases/mysql50-server mysql-server

 Alex
 ___
 freebsd mailing list
 freebsd@fug.com.br
 http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br



--
Celso Vianna
BSD User: 51318
http://www.bsdcounter.org

Palmas/TO
___
freebsd mailing list
freebsd@fug.com.br
http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br


Re: [FUG-BR] Portupgrade - Mysql

2006-03-11 Por tôpico Eder
All,

Só uma dica com atualização do MySQL, tome cuidado se você estiver
usando tabelas transsacionais ou efetuando replicações de bases pois
nesse tipo cenário, traz problemas a atualização do MySQL.

Só atualize o BD se realmente vai utilizar uma função muito especifica como
Views ou triggers suportado na versão 5, ou é claro por problemas de bugs.

Abraços,

Eder

--
Linux is for people who hate Windows,
BSD is for people who love UNIX
___
freebsd mailing list
freebsd@fug.com.br
http://lists.fug.com.br/listinfo.cgi/freebsd-fug.com.br


Re: [FUG-BR] portupgrade

2005-09-12 Por tôpico Rainer Alves
Celso,

Se você definir o WITH_SASL=yes durante a compilação do OpenLDAP, ele 
vai automaticamente fazer o download do port security/cyrus-sasl2 (v 
2.1.21), compilar, instalar, e usar o parâmetro --with-cyrus-sasl ao 
compilar o OpenLDAP.

-- Rainer


Celso Viana wrote:

Rainer,

Valews pela dica; só mais um detalhe: por exemplo, qdo vou instalar o
openldap22-server pelo ports é exibida as opções:
=

You can build openldap-server-2.2.28 with the following options:

WITH_BDB_VER  select BerkeleyDB version (default 42)
WITH_SASL with (Cyrus) SASL2 password verification
WITH_PERL with Perl backend
WITH_SHELLwith Shell backend
WITH_ODBC with SQL backend
WITH_ODBC_TYPEselect ODBC interface (iODBC or unixODBC)
WITH_SLP  with SLPv2 (RFC 2608) support
WITH_SLAPIwith Netscape SLAPI plugin API
WITHOUT_TCP_WRAPPERS  without tcp wrapper support
WITHOUT_BDB   without BerkeleyDB support
WITH_DYNGROUP with Dynamic Group overlay
WITH_PROXYCACHE   with Proxy Cache overlay
WITH_ACI  with per-object ACIs (experimental)
WITH_DYNAMIC_BACKENDS build backends as modules
WITH_RCORDER  slapd(1) should start early in the boot process

=

Como está acima, não deveria ser feito o download da biblioteca SASL?

Celso 

Em 11/09/05, Rainer Alves[EMAIL PROTECTED] escreveu:
  

Celso,

Para tornar esses parâmetros permanentes (eles serão usados
automaticamente sempre que você fizer um portupgrade ou make que envolva
esse port), você tem duas opções:

1) Inclua os parâmetros na seção MAKE_ARGS do
/usr/local/etc/pkgtools.conf:

MAKE_ARGS = {
'multimedia/mplayer' = 'WITH_OPTIMIZED_CFLAGS=yes WITH_GTK1=yes
WITHOUT_RUNTIME_CPUDETECTION=yes WITHOUT_3DNOW=yes WITHOUT_DSP=yes
WITH_RTC=yes',
  }

Essa maneira aí em cima funcionará APENAS quando você usar o
portupgrade, não funcionará quando você for manualmente em um subdir do
ports e der um 'make install':

2) Ou então edite o /etc/make.conf e defina lá os parâmetros (essa forma
funcionará com portupgrade, make install manual e todas as outras):

.if ${.CURDIR:M*/multimedia/mplayer}
WITH_OPTIMIZED_CFLAGS=yes
WITH_GTK1=yes
WITHOUT_RUNTIME_CPUDETECTION=yes
WITHOUT_3DNOW=yes
WITHOUT_DSP=yes
WITH_RTC=yes
.endif

Att.,
Rainer Alves
BrasilTelecom









___
Freebsd mailing list
Freebsd@fug.com.br
http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br


Re: [FUG-BR] portupgrade

2005-09-12 Por tôpico Rainer Alves
Na verdade a compilação de um port não tem relação com o formato do 
startup-script que ele usa (não sei se entendi a sua pergunta corretamente).
O port do openldap-server não usa rcNG, ele instala o slapd.sh e o 
slurpd.sh que são scripts RC comuns (ainda usam o start_precmd).
Depois de terminar a instalação do port, coloque os parâmetros abaixo no 
rc.conf e altere conforme necessário:

slapd_enable=YES
slapd_flags='-h ldapi://%2fvar%2frun%2fopenldap%2fldapi/ ldap://0.0.0.0/;'
slapd_sockets=/var/run/openldap/ldapi
slurpd_enable=YES

-- Rainer


Celso Viana wrote:

Isso seria mais fácil com o port já estando no formato (é isso?) rcng, né?

Celso

Em 12/09/05, Rainer Alves[EMAIL PROTECTED] escreveu:
  

Celso,

Se você definir o WITH_SASL=yes durante a compilação do OpenLDAP, ele
vai automaticamente fazer o download do port security/cyrus-sasl2 (v
2.1.21), compilar, instalar, e usar o parâmetro --with-cyrus-sasl ao
compilar o OpenLDAP.

-- Rainer


Celso Viana wrote:



Rainer,

Valews pela dica; só mais um detalhe: por exemplo, qdo vou instalar o
openldap22-server pelo ports é exibida as opções:
=

You can build openldap-server-2.2.28 with the following options:

WITH_BDB_VER  select BerkeleyDB version (default 42)
WITH_SASL with (Cyrus) SASL2 password verification
WITH_PERL with Perl backend
WITH_SHELLwith Shell backend
WITH_ODBC with SQL backend
WITH_ODBC_TYPEselect ODBC interface (iODBC or unixODBC)
WITH_SLP  with SLPv2 (RFC 2608) support
WITH_SLAPIwith Netscape SLAPI plugin API
WITHOUT_TCP_WRAPPERS  without tcp wrapper support
WITHOUT_BDB   without BerkeleyDB support
WITH_DYNGROUP with Dynamic Group overlay
WITH_PROXYCACHE   with Proxy Cache overlay
WITH_ACI  with per-object ACIs (experimental)
WITH_DYNAMIC_BACKENDS build backends as modules
WITH_RCORDER  slapd(1) should start early in the boot process

=

Como está acima, não deveria ser feito o download da biblioteca SASL?

Celso

Em 11/09/05, Rainer Alves[EMAIL PROTECTED] escreveu:


  

Celso,

Para tornar esses parâmetros permanentes (eles serão usados
automaticamente sempre que você fizer um portupgrade ou make que envolva
esse port), você tem duas opções:

1) Inclua os parâmetros na seção MAKE_ARGS do
/usr/local/etc/pkgtools.conf:

MAKE_ARGS = {
   'multimedia/mplayer' = 'WITH_OPTIMIZED_CFLAGS=yes WITH_GTK1=yes
WITHOUT_RUNTIME_CPUDETECTION=yes WITHOUT_3DNOW=yes WITHOUT_DSP=yes
WITH_RTC=yes',
 }

Essa maneira aí em cima funcionará APENAS quando você usar o
portupgrade, não funcionará quando você for manualmente em um subdir do
ports e der um 'make install':

2) Ou então edite o /etc/make.conf e defina lá os parâmetros (essa forma
funcionará com portupgrade, make install manual e todas as outras):

.if ${.CURDIR:M*/multimedia/mplayer}
WITH_OPTIMIZED_CFLAGS=yes
WITH_GTK1=yes
WITHOUT_RUNTIME_CPUDETECTION=yes
WITHOUT_3DNOW=yes
WITHOUT_DSP=yes
WITH_RTC=yes
.endif

Att.,
Rainer Alves
BrasilTelecom











___
Freebsd mailing list
Freebsd@fug.com.br
http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br


Re: [FUG-BR] portupgrade

2005-09-11 Por tôpico Joao Paulo Marques Mattos
Celso Viana wrote:
 All,
 
 Fiz a instalação de um programa pelo ports usando algumas opções 
 PROG_CONFIGURE_ARGS; pra fazer uma atualização usando o
 portupgrade, é possível passar essas opções? ou tenho que
 desinstalar e reinstalar?
 

-m -DWITH_SEILAH -DWITHOUT_NUMSEIUQ

-- 

[]'s

JP-Ux

'eius simius in cuius ramus'


___
Freebsd mailing list
Freebsd@fug.com.br
http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br


Re: [FUG-BR] portupgrade

2005-09-11 Por tôpico Celso Viana
João,

É possível passar um arquivo com todas as opções?

Celso

Em 11/09/05, Joao Paulo Marques Mattos[EMAIL PROTECTED] escreveu:
 Celso Viana wrote:
  All,
 
  Fiz a instalação de um programa pelo ports usando algumas opções
  PROG_CONFIGURE_ARGS; pra fazer uma atualização usando o
  portupgrade, é possível passar essas opções? ou tenho que
  desinstalar e reinstalar?
 
 
 -m -DWITH_SEILAH -DWITHOUT_NUMSEIUQ
 
 --
 
 []'s
 
 JP-Ux
 
 'eius simius in cuius ramus'
 
 
 ___
 Freebsd mailing list
 Freebsd@fug.com.br
 http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br
 


-- 
Celso Vianna
BSD User: 51318
Palmas/TO

___
Freebsd mailing list
Freebsd@fug.com.br
http://mail.fug.com.br/mailman/listinfo/freebsd_fug.com.br